variables:
  AUDIT_AZURE_COMPUTE_ALERT_LIST:
    required: false
    type: array
    default:
        - azure-virtual-extension-linuxasm-enabled
        - azure-virtual-dynamic-private-ip
        - azure-virtual-no-ip-forwarding
        - azure-virtual-network-no-privileged-ports
        - azure-virtual-network-no-wildcard-ports
    description: "Which rules would you like to run? Possible values are azure-virtual-extension-linuxasm-enabled,azure-virtual-dynamic-private-ip,azure-virtual-no-ip-forwarding,azure-virtual-network-no-privileged-ports,azure-virtual-network-no-wildcard-ports"
  AUDIT_AZURE_RESOURCES_ALERT_LIST:
    required: false
    type: array
    default:
        - azure-providers-check
        - azure-security-provider-registered
        - azure-microsoft-only-providers
    description: "Which rules would you like to run? Possible values are azure-providers-check,azure-security-provider-registered,azure-microsoft-only-providers"
  AUDIT_AZURE_ALERT_RECIPIENT:
    description: "Enter the email address(es) that will receive notifiers. If more than one, separate each with a comma."
    required: false
    type: string
    default:
  AUDIT_AZURE_OWNER_TAG:
    description: "Enter an Azure tag whose value is an email address of owner of the object. (Optional)"
    required: false
    type: string
    default: "NOT_A_TAG"
  AUDIT_AZURE_ALLOW_EMPTY:
    description: "Would you like to receive empty reports? Options - true / false. Default is false."
    required: true
    type: string
    default: false
  AUDIT_AZURE_SEND_ON:
    description: "Send reports always or only when there is a change? Options - always / change. Default is change."
    required: true
    type: string
    default: "change"  
  AUDIT_AZURE_REGIONS:
    description: "List of Azure regions to check. Default is all regions. Choices are test-1 test-2"
    required: false
    type: array
    default:
